Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87810 - Errata upgrade for RH 7.1 doesn't install due to readline dependency
Summary: Errata upgrade for RH 7.1 doesn't install due to readline dependency
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-utils
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL: https://rhn.redhat.com/errata/RHSA-20...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 20:53 UTC by Daniel Roesen
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-27 23:27:24 UTC


Attachments (Terms of Use)

Description Daniel Roesen 2003-04-02 20:53:39 UTC
When trying to install the kernel-utils package of the kernel
errata RHSA-2002-205.html on a RH 7.1 machine, I get the following
problem:

# rpm -i kernel-utils-2.4-8.13.7.2.i386.rpm 
error: failed dependencies:
	libreadline.so.4   is needed by kernel-utils-2.4-8.13.7.2
# rpm -q readline 
readline-4.1-9
# ll /usr/lib/libreadline.so.4
lrwxrwxrwx    1 root     root           18 Jul 12  2001
/usr/lib/libreadline.so.4 -> libreadline.so.4.1
# rpm -i kernel-utils-2.4-8.13.7.2.i386.rpm 
error: failed dependencies:
	libreadline.so.4   is needed by kernel-utils-2.4-8.13.7.2

It looks like the readline RPM (original RH 7.1) misses the
"provides: libreadline.so.4"

Then again:

# rpm -q --obsoletes ksymoops
kernel-utils  
# rpm -q ksymoops
ksymoops-2.4.0-3

If kernel-utils was obsoleted by ksymoops, where are all the tools
gone to (there is much more than just ksymoops in the kernel-utils
package).

A similar problem was reported in:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=10717
Did this problem reappear perhaps?


Note You need to log in before you can comment on or make changes to this bug.